IdType (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.neo4j.kernel
Enum IdType

    java.lang.Object
      java.lang.Enum<IdType>
          org.neo4j.kernel.IdType

All Implemented Interfaces:
  Serializable, Comparable<IdType>

    public enum IdType

extends Enum<IdType>

Enum Constant Summary
`ARRAY_BLOCK`
`NEOSTORE_BLOCK`
`NODE`
`PROPERTY`
`PROPERTY_INDEX`
`PROPERTY_INDEX_BLOCK`
`RELATIONSHIP`
`RELATIONSHIP_TYPE`
`RELATIONSHIP_TYPE_BLOCK`
`STRING_BLOCK`

Method Summary
`boolean` | `allowAggressiveReuse()`
`int` | `getGrabSize()`
`long` | `getMaxValue()`
`static IdType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IdType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NODE

    public static final IdType NODE

### RELATIONSHIP

    public static final IdType RELATIONSHIP

### PROPERTY

    public static final IdType PROPERTY

### STRING_BLOCK

    public static final IdType STRING_BLOCK

### ARRAY_BLOCK

    public static final IdType ARRAY_BLOCK

### PROPERTY_INDEX

    public static final IdType PROPERTY_INDEX

### PROPERTY_INDEX_BLOCK

    public static final IdType PROPERTY_INDEX_BLOCK

### RELATIONSHIP_TYPE

    public static final IdType RELATIONSHIP_TYPE

### RELATIONSHIP_TYPE_BLOCK

    public static final IdType RELATIONSHIP_TYPE_BLOCK

### NEOSTORE_BLOCK

    public static final IdType NEOSTORE_BLOCK

Method Detail

### values

    public static IdType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IdType c : IdType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IdType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getMaxValue

    public long getMaxValue()

### allowAggressiveReuse

    public boolean allowAggressiveReuse()

### getGrabSize

    public int getGrabSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.